%define upstream_name    enum
%define upstream_version 1.11

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Resemble enumerated types in C
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch
Provides:   perl(enum)

%description
Defines a set of symbolic constants with ordered numeric values ala *C*
*enum* types.

Now capable of creating creating ordered bitmask constants as well. See the
*BITMASKS* section for details.

What are they good for? Typical uses would be for giving mnemonic names to
indexes of arrays. Such arrays might be a list of months, days, or a return
value index from a function such as localtime():

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes INSTALL META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.110.0-3pclos2017
- rebuild against updates

